/* *****************************************************************************
 * libwindmill/internals.h -- libwindmill internal utilities.
 * Copyright (C) 2017 Olivier "Ninestars" Lanneau
 * Copyright (C) 2017 Thomas "Cakeisalie5" Touhey <thomas@touhey.fr>
 *
 * This file is part of libwindmill.
 * libwindmill is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License,
 * or (at your option) any later version.
 *
 * libwindmill is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with libwindmill; if not, see <http://www.gnu.org/licenses/>.
 * ************************************************************************** */
#ifndef LIBWINDMILL_INTERNALS_H
# define LIBWINDMILL_INTERNALS_H
# include <libwindmill.h>

void wml_set_vertex_xyz(wml_vertex_t *vertex, int x, int y, int z);
void wml_set_vertex_txy(wml_vertex_t *vertex, char tx, char ty);

#endif /* LIBWINDMILL_INTERNALS_H */
